#ifndef __CGAME__
#define __CGAME__

#include <glad/glad.h>
#include "shader_s.h"

class Model;

class CGame
{
public:
    CGame() {};

    void Initialize(unsigned int screenWidth, unsigned int screenHeight);
    void Shutdown();
    void Render();

    void OnResize(int screenWidth, int screenHeight);

private:
    void SetupGPUProgram();
    void SetupModel();

    Shader* m_pShaderPass0;
    Shader* m_pShaderPass1;
    Shader* m_pShaderStencilPass;
    Model* m_pManModel;
    Model* m_pStencilModel;

    unsigned int m_Width;
    unsigned int m_Height;
};

#endif